Skip to main content
GET
/
sellers
/
{merchant_seller_id}
Get Seller
curl --request GET \
  --url https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id} \
  --header 'X-account-code: <x-account-code>' \
  --header 'private-secret-key: <private-secret-key>' \
  --header 'public-api-key: <public-api-key>'
{
  "seller_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_seller_id": "<string>",
  "name": "<string>",
  "email": "<string>",
  "phone": {
    "country_code": "<string>",
    "number": "<string>"
  },
  "document": {
    "type": "<string>",
    "number": "<string>"
  },
  "address": {
    "street": "<string>",
    "number": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "zip_code": "<string>"
  },
  "country": "<string>",
  "website": "<string>",
  "industry": "<string>",
  "merchant_category_code": "<string>",
  "payment_method": [
    {
      "payment_method_type": "<string>",
      "detail": {
        "card": {
          "provider": {
            "id": "<string>",
            "merchant_id": "<string>"
          }
        }
      }
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
Retrieves a franchise seller mapping by the merchant’s own identifier (merchant_seller_id).

Headers

public-api-key
string
required
private-secret-key
string
required
X-account-code
string<uuid>
required

Path Parameters

merchant_seller_id
string
required

Response

OK

seller_id
string<uuid>
account_code
string<uuid>
merchant_seller_id
string
name
string
email
string
phone
object
document
object
address
object
country
string
Maximum string length: 2
website
string
industry
string
merchant_category_code
string
Maximum string length: 4
payment_method
object[]
created_at
string<date-time>
updated_at
string<date-time>